package invoice;

import java.io.IOException;


/**
 * @author S.Chassande-Barrioz
 */
public class Apps1 {

    public static void main(String[] args) {
        InvoiceAppsHelper a = null;
        try {
            a = new InvoiceAppsHelper(args[0]);
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(-1);
        }
        System.out.println("Creating the addresses...");
        a.createAdresses();
        System.out.println("Creating the products...");
        a.createProducts();
        System.out.println();
        System.out.println("Creating the invoice...");
        Invoice i = a.createInvoice();
        System.out.println();
        System.out.println("Data base:");
        System.out.println("==========");
        a.printAll();
        System.out.println("Removing the invoice...");
        a.removeInvoice(i);
        System.out.println("Removing the products...");
        a.removeProducts();
        System.out.println("Removing the addresses...");
        a.removeAddresses();
        System.out.println("Data base:");
        System.out.println("==========");
        a.printAll();
    }
}
