/*
 * Created on May 7, 2004
 * author: VEZIER Antoine
 * Internship Master: Hamon Catherine
 * 
 */
package org.objectweb.eclipsespeedo.drivers.xml;

import java.util.ArrayList;
import java.util.Iterator;

/**
 * @author vezieran
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public class JDOProjectConf {
	
	private ArrayList groups;
	
	/**
	 * 
	 */
	public JDOProjectConf() {
		groups = new ArrayList();
	}

	public void addGroup(JDOProjectConfGroup grp){
		groups.add(grp);
	}
	
	/**
	 * @return
	 */
	public ArrayList getGroups() {
		return groups;
	}


	/**
	 * @return
	 */
	public JDOProjectConfGroup getGroup(String name) {
		JDOProjectConfGroup group;
		for (Iterator ite = groups.iterator();ite.hasNext();){
			group = (JDOProjectConfGroup) ite.next();
			if (group.getName().equals(name)) return group;
		}
		return null;
	}
	
	/**
	 * @param list
	 */
	public void setGroups(ArrayList list) {
		groups = list;
	}
	
	public String toString(){
		String xml = "\n<JDOProject>";
		Iterator props = getGroups().iterator();
		while (props.hasNext()) {
			xml += props.next().toString();
		}

		xml += "</JDOProject>\n";
		return xml;
	}

}
