/*
 * Created on May 7, 2004
 * author: VEZIER Antoine
 * Internship Master: Hamon Catherine
 * 
 */
package org.objectweb.eclipsespeedo.drivers.xml;

import java.util.ArrayList;
import java.util.Iterator;

/**
 * @author vezieran
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public class JDOProjectConfGroup {

	private ArrayList properties;
	private String name;
	private String desc;
	
	public JDOProjectConfGroup(String Name, String description){
		properties = new ArrayList();
		name = Name;
		desc = description;
	}
	
	public void addProperty(DriverDefinitionProperty ddp){
		properties.add(ddp);
	}
	
	public void setProperties(ArrayList ddpl){
		properties = ddpl;
	}
	
	public ArrayList getProperties(){
		return properties;
	}

	public String getName() {
		return name;
	}

	public void setName(String string) {
		name = string;
	}

	public String toString(){
		String xml = "\n<Group name=\""+this.name+"\" description=\""+this.desc+"\">";
		Iterator props = getProperties().iterator();
		while (props.hasNext()) {
			xml += props.next().toString();
		}

		xml += "\n</Group>\n";
		return xml;
	}

	/**
	 * @return
	 */
	public String getDesc() {
		return desc;
	}

	/**
	 * @param string
	 */
	public void setDesc(String string) {
		desc = string;
	}

}
