package bank;

import java.io.Serializable;

/**
 * @author S.Chassande-Barrioz
 */
public class ClientId implements Serializable {
    public String lastName;
    public String firstName;
    public String address;

    public ClientId() {
    }

    public ClientId(Client c) {
        this.lastName = c.lastName;
        this.firstName = c.firstName;
        this.address = c.address;
    }

    public ClientId(String lastName, String firstName, String address) {
        this.lastName = lastName;
        this.firstName = firstName;
        this.address = address;
    }

    public String toString() {
        return "(" + firstName + ", " + lastName + ", " + address + ")";
    }
}
