/*
 * Created on May 7, 2004
 * author: VEZIER Antoine
 * Internship Master: Hamon Catherine
 * 
 */
package org.objectweb.eclipsespeedo.drivers.xml;

import java.util.ArrayList;
import java.util.Iterator;

/**
 * @author vezieran
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public class EclipsePrefConf {
	private ArrayList properties;
	private String name;
	private ArrayList driverClassPath = new ArrayList();
	private ArrayList projClasspath = new ArrayList();
	
	public EclipsePrefConf(){
		properties = new ArrayList();
		driverClassPath = new ArrayList();;
	}
	
	public void addProperty(DriverDefinitionProperty ddp){
		properties.add(ddp);
	}
	
	public void addDriverClasspath(ClasspathItem classpathItem) {
		driverClassPath.add(classpathItem);
	}
	
	public void setProperties(ArrayList ddpl){
		properties = ddpl;
	}
	
	public ArrayList getProperties(){
		return properties;
	}

	public String getName() {
		return name;
	}

	public void setName(String string) {
		name = string;
	}
	
	public String toString(){
		String xml = "\n<EclipsePreferences>";
		Iterator props = getProperties().iterator();
		while (props.hasNext()) {
			xml += props.next().toString();
		}
		xml += "\n<driverClassPath>";
		props = getDriverClassPath().iterator();
		while (props.hasNext()) {
			xml += "\n\t" + props.next().toString();
		}
		xml += "\n</driverClassPath>";
		xml += "\n<projectClassPath>";
		props = getProjClasspath().iterator();
		while (props.hasNext()) {
			xml += "\n\t" + props.next().toString();
		}
		xml += "\n</projectClassPath>";
		xml += "\n</EclipsePreferences>\n";
		return xml;
	}

	/**
	 * @return
	 */
	public ArrayList getDriverClassPath() {
		return driverClassPath;
	}

	/**
	 * @param list
	 */
	public void setDriverClassPath(ArrayList list) {
		driverClassPath = list;
	}
	

	/**
	 * @return
	 */
	public ArrayList getProjClasspath() {
		return projClasspath;
	}

	/**
	 * @param list
	 */
	public void setProjClasspath(ArrayList list) {
		projClasspath = list;
	}

}
