/*
 * Created on June 5, 2004
 * author: VEZIER Antoine
 * Internship Master: Hamon Catherine
 * 
 */

package org.objectweb.eclipsespeedo.jdoextensions.xml;

public class Extension {
	public static final int STRING = 0;
	public static final int COMBO_UNEDITABLE = 1;
	public static final int COMBO_EDITABLE = 2;
	public static final int CLASSBROWSER = 3;
	
	static final int JDO = 0;
	static final int PACKAGE = 1;
	static final int CLASS = 2;
	static final int FIELD = 3;
	
	private String vendor;
	private String key;
	private int type;
	private int level;
	private String defaultValue;
	private String Value;
	private String desc = "";

	/**
	 * @return String
	 */
	public String getDefaultValue() {
		return defaultValue;
	}


	/**
	 * Sets the defaultValue.
	 * @param defaultValue The defaultValue to set
	 */
	public void setDefaultValue(String defaultValue) {
		this.defaultValue = defaultValue;
	}


	/**
	 * Sets the type.
	 * @param type The type to set
	 */
	public void setType(int type) {
		this.type = type;
	}
	public void setTypeFromStr(String str) {
		if ("string".equals(str))
			this.type = STRING;
		else if ("combo_uneditable".equals(str))
			this.type = COMBO_UNEDITABLE;
		else if ("combo_editable".equals(str))
			this.type = COMBO_EDITABLE;
		else if ("classbrowser".equals(str))
			this.type = CLASSBROWSER;
	}

	/**
	 * @return int
	 */
	public int getType() {
		return type;
	}


	/**
	 * @return
	 */
	public String getDesc() {
		return desc;
	}

	/**
	 * @param string
	 */
	public void setDesc(String string) {
		if (string!=null) desc = string;
	}

	/**
	 * @return
	 */
	public String getKey() {
		return key;
	}

	/**
	 * @return
	 */
	public String getValue() {
		return Value;
	}

	/**
	 * @param string
	 */
	public void setKey(String string) {
		key = string;
	}

	/**
	 * @param string
	 */
	public void setValue(String string) {
		Value = string;
	}

	/**
	 * @return
	 */
	public int getLevel() {
		return level;
	}

	/**
	 * @param i
	 */
	public void setLevel(int i) {
		level = i;
	}

	/**
	 * @return
	 */
	public String getVendor() {
		return vendor;
	}

	/**
	 * @param string
	 */
	public void setVendor(String string) {
		vendor = string;
	}

}
