/**
 * <copyright>
 * </copyright>
 *
 * %W%
 * @version %I% %H%
 */
package org.objectweb.eclipsespeedo.metadata.impl;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EStructuralFeature;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;
import org.objectweb.eclipsespeedo.metadata.JDOArray;
import org.objectweb.eclipsespeedo.metadata.JDOBoolean;
import org.objectweb.eclipsespeedo.metadata.JDOCollection;
import org.objectweb.eclipsespeedo.metadata.JDOExtension;
import org.objectweb.eclipsespeedo.metadata.JDOField;
import org.objectweb.eclipsespeedo.metadata.JDOMap;
import org.objectweb.eclipsespeedo.metadata.JDONullValue;
import org.objectweb.eclipsespeedo.metadata.JDOPersistenceModifier;
import org.objectweb.eclipsespeedo.metadata.MetadataPackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>JDO Field</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link EclipseSpeedo.metadata.impl.JDOFieldImpl#isPrimaryKey <em>Primary Key</em>}</li>
 *   <li>{@link EclipseSpeedo.metadata.impl.JDOFieldImpl#getDefaultFetchGroup <em>Default Fetch Group</em>}</li>
 *   <li>{@link EclipseSpeedo.metadata.impl.JDOFieldImpl#getEmbedded <em>Embedded</em>}</li>
 *   <li>{@link EclipseSpeedo.metadata.impl.JDOFieldImpl#getPersistenceModifier <em>Persistence Modifier</em>}</li>
 *   <li>{@link EclipseSpeedo.metadata.impl.JDOFieldImpl#getNullValue <em>Null Value</em>}</li>
 *   <li>{@link EclipseSpeedo.metadata.impl.JDOFieldImpl#getExtensions <em>Extensions</em>}</li>
 *   <li>{@link EclipseSpeedo.metadata.impl.JDOFieldImpl#getArray <em>Array</em>}</li>
 *   <li>{@link EclipseSpeedo.metadata.impl.JDOFieldImpl#getCollection <em>Collection</em>}</li>
 *   <li>{@link EclipseSpeedo.metadata.impl.JDOFieldImpl#getMap <em>Map</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class JDOFieldImpl extends JDOModelElementImpl implements JDOField {
	/**
	 * The default value of the '{@link #isPrimaryKey() <em>Primary Key</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPrimaryKey()
	 * @generated
	 * @ordered
	 */
	protected static final boolean PRIMARY_KEY_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isPrimaryKey() <em>Primary Key</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPrimaryKey()
	 * @generated
	 * @ordered
	 */
	protected boolean primaryKey = PRIMARY_KEY_EDEFAULT;

	/**
	 * The default value of the '{@link #getDefaultFetchGroup() <em>Default Fetch Group</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDefaultFetchGroup()
	 * @generated
	 * @ordered
	 */
	protected static final JDOBoolean DEFAULT_FETCH_GROUP_EDEFAULT = JDOBoolean.IMPLIED_LITERAL;

	/**
	 * The cached value of the '{@link #getDefaultFetchGroup() <em>Default Fetch Group</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDefaultFetchGroup()
	 * @generated
	 * @ordered
	 */
	protected JDOBoolean defaultFetchGroup = DEFAULT_FETCH_GROUP_EDEFAULT;

	/**
	 * The default value of the '{@link #getEmbedded() <em>Embedded</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getEmbedded()
	 * @generated
	 * @ordered
	 */
	protected static final JDOBoolean EMBEDDED_EDEFAULT = JDOBoolean.IMPLIED_LITERAL;

	/**
	 * The cached value of the '{@link #getEmbedded() <em>Embedded</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getEmbedded()
	 * @generated
	 * @ordered
	 */
	protected JDOBoolean embedded = EMBEDDED_EDEFAULT;

	/**
	 * The default value of the '{@link #getPersistenceModifier() <em>Persistence Modifier</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPersistenceModifier()
	 * @generated
	 * @ordered
	 */
	protected static final JDOPersistenceModifier PERSISTENCE_MODIFIER_EDEFAULT = JDOPersistenceModifier.IMPLIED_LITERAL;

	/**
	 * The cached value of the '{@link #getPersistenceModifier() <em>Persistence Modifier</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPersistenceModifier()
	 * @generated
	 * @ordered
	 */
	protected JDOPersistenceModifier persistenceModifier = PERSISTENCE_MODIFIER_EDEFAULT;

	/**
	 * The default value of the '{@link #getNullValue() <em>Null Value</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNullValue()
	 * @generated
	 * @ordered
	 */
	protected static final JDONullValue NULL_VALUE_EDEFAULT = JDONullValue.NONE_LITERAL;

	/**
	 * The cached value of the '{@link #getNullValue() <em>Null Value</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNullValue()
	 * @generated
	 * @ordered
	 */
	protected JDONullValue nullValue = NULL_VALUE_EDEFAULT;

	/**
	 * The cached value of the '{@link #getExtensions() <em>Extensions</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getExtensions()
	 * @generated
	 * @ordered
	 */
	protected EList extensions = null;

	/**
	 * The cached value of the '{@link #getArray() <em>Array</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getArray()
	 * @generated
	 * @ordered
	 */
	protected JDOArray array = null;

	/**
	 * The cached value of the '{@link #getCollection() <em>Collection</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCollection()
	 * @generated
	 * @ordered
	 */
	protected JDOCollection collection = null;

	/**
	 * The cached value of the '{@link #getMap() <em>Map</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMap()
	 * @generated
	 * @ordered
	 */
	protected JDOMap map = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected JDOFieldImpl() {
		super();
	}


	/**
		 */
		public boolean isEmpty()
		{
			if (primaryKey != PRIMARY_KEY_EDEFAULT
				|| defaultFetchGroup != DEFAULT_FETCH_GROUP_EDEFAULT
				|| embedded != EMBEDDED_EDEFAULT
				|| persistenceModifier != PERSISTENCE_MODIFIER_EDEFAULT
				|| nullValue != NULL_VALUE_EDEFAULT)
			{
				return false;
			}

			if (map != null && !map.isEmpty())
			{
				return false;
			}

			if (array != null && !array.isEmpty())
			{
				return false;
			}

			if (collection != null && !collection.isEmpty())
			{
				return false;
			}

			return super.isEmpty();
		}

		/**
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 */
		public void shrink()
		{
			if (map != null && map.isEmpty())
			{
				map = null;
			}

			if (array != null && array.isEmpty())
			{
				array = null;
			}

			if (collection != null && collection.isEmpty())
			{
				collection = null;
			}

			super.shrink();
		}
		
	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected EClass eStaticClass() {
		return MetadataPackage.eINSTANCE.getJDOField();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isPrimaryKey() {
		return primaryKey;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPrimaryKey(boolean newPrimaryKey) {
		boolean oldPrimaryKey = primaryKey;
		primaryKey = newPrimaryKey;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, MetadataPackage.JDO_FIELD__PRIMARY_KEY, oldPrimaryKey, primaryKey));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public JDOBoolean getDefaultFetchGroup() {
		return defaultFetchGroup;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDefaultFetchGroup(JDOBoolean newDefaultFetchGroup) {
		JDOBoolean oldDefaultFetchGroup = defaultFetchGroup;
		defaultFetchGroup = newDefaultFetchGroup == null ? DEFAULT_FETCH_GROUP_EDEFAULT : newDefaultFetchGroup;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, MetadataPackage.JDO_FIELD__DEFAULT_FETCH_GROUP, oldDefaultFetchGroup, defaultFetchGroup));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public JDOBoolean getEmbedded() {
		return embedded;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setEmbedded(JDOBoolean newEmbedded) {
		JDOBoolean oldEmbedded = embedded;
		embedded = newEmbedded == null ? EMBEDDED_EDEFAULT : newEmbedded;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, MetadataPackage.JDO_FIELD__EMBEDDED, oldEmbedded, embedded));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public JDOPersistenceModifier getPersistenceModifier() {
		return persistenceModifier;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPersistenceModifier(JDOPersistenceModifier newPersistenceModifier) {
		JDOPersistenceModifier oldPersistenceModifier = persistenceModifier;
		persistenceModifier = newPersistenceModifier == null ? PERSISTENCE_MODIFIER_EDEFAULT : newPersistenceModifier;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, MetadataPackage.JDO_FIELD__PERSISTENCE_MODIFIER, oldPersistenceModifier, persistenceModifier));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public JDONullValue getNullValue() {
		return nullValue;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNullValue(JDONullValue newNullValue) {
		JDONullValue oldNullValue = nullValue;
		nullValue = newNullValue == null ? NULL_VALUE_EDEFAULT : newNullValue;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, MetadataPackage.JDO_FIELD__NULL_VALUE, oldNullValue, nullValue));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList getExtensions() {
		if (extensions == null) {
			extensions = new EObjectContainmentEList(JDOExtension.class, this, MetadataPackage.JDO_FIELD__EXTENSIONS);
		}
		return extensions;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public JDOArray getArray() {
		return array;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetArray(JDOArray newArray, NotificationChain msgs) {
		JDOArray oldArray = array;
		array = newArray;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, MetadataPackage.JDO_FIELD__ARRAY, oldArray, newArray);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setArray(JDOArray newArray) {
		if (getMap() != null){
			setMap(null);
		}
		if (getCollection() != null){
			setCollection(null);
		}
		if (newArray != array) {
			NotificationChain msgs = null;
			if (array != null)
				msgs = ((InternalEObject)array).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - MetadataPackage.JDO_FIELD__ARRAY, null, msgs);
			if (newArray != null)
				msgs = ((InternalEObject)newArray).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - MetadataPackage.JDO_FIELD__ARRAY, null, msgs);
			msgs = basicSetArray(newArray, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, MetadataPackage.JDO_FIELD__ARRAY, newArray, newArray));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public JDOCollection getCollection() {
		return collection;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetCollection(JDOCollection newCollection, NotificationChain msgs) {
		JDOCollection oldCollection = collection;
		collection = newCollection;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, MetadataPackage.JDO_FIELD__COLLECTION, oldCollection, newCollection);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setCollection(JDOCollection newCollection) {
		if (getMap() != null){
			setMap(null);
		}
		if (getArray() != null){
			setArray(null);
		}
		if (newCollection != collection) {
			NotificationChain msgs = null;
			if (collection != null)
				msgs = ((InternalEObject)collection).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - MetadataPackage.JDO_FIELD__COLLECTION, null, msgs);
			if (newCollection != null)
				msgs = ((InternalEObject)newCollection).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - MetadataPackage.JDO_FIELD__COLLECTION, null, msgs);
			msgs = basicSetCollection(newCollection, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, MetadataPackage.JDO_FIELD__COLLECTION, newCollection, newCollection));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public JDOMap getMap() {
		return map;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetMap(JDOMap newMap, NotificationChain msgs) {
		JDOMap oldMap = map;
		map = newMap;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, MetadataPackage.JDO_FIELD__MAP, oldMap, newMap);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMap(JDOMap newMap) {
		if (getArray() != null){
			setArray(null);
		}
		if (getCollection() != null){
			setCollection(null);
		}
		if (newMap != map) {
			NotificationChain msgs = null;
			if (map != null)
				msgs = ((InternalEObject)map).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - MetadataPackage.JDO_FIELD__MAP, null, msgs);
			if (newMap != null)
				msgs = ((InternalEObject)newMap).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - MetadataPackage.JDO_FIELD__MAP, null, msgs);
			msgs = basicSetMap(newMap, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, MetadataPackage.JDO_FIELD__MAP, newMap, newMap));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, Class baseClass, NotificationChain msgs) {
		if (featureID >= 0) {
			switch (eDerivedStructuralFeatureID(featureID, baseClass)) {
				case MetadataPackage.JDO_FIELD__EXTENSIONS:
					return ((InternalEList)getExtensions()).basicRemove(otherEnd, msgs);
				case MetadataPackage.JDO_FIELD__ARRAY:
					return basicSetArray(null, msgs);
				case MetadataPackage.JDO_FIELD__COLLECTION:
					return basicSetCollection(null, msgs);
				case MetadataPackage.JDO_FIELD__MAP:
					return basicSetMap(null, msgs);
				default:
					return eDynamicInverseRemove(otherEnd, featureID, baseClass, msgs);
			}
		}
		return eBasicSetContainer(null, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Object eGet(EStructuralFeature eFeature, boolean resolve) {
		switch (eDerivedStructuralFeatureID(eFeature)) {
			case MetadataPackage.JDO_FIELD__EMPTY:
				return isEmpty() ? Boolean.TRUE : Boolean.FALSE;
			case MetadataPackage.JDO_FIELD__NAME:
				return getName();
			case MetadataPackage.JDO_FIELD__PRIMARY_KEY:
				return isPrimaryKey() ? Boolean.TRUE : Boolean.FALSE;
			case MetadataPackage.JDO_FIELD__DEFAULT_FETCH_GROUP:
				return getDefaultFetchGroup();
			case MetadataPackage.JDO_FIELD__EMBEDDED:
				return getEmbedded();
			case MetadataPackage.JDO_FIELD__PERSISTENCE_MODIFIER:
				return getPersistenceModifier();
			case MetadataPackage.JDO_FIELD__NULL_VALUE:
				return getNullValue();
			case MetadataPackage.JDO_FIELD__EXTENSIONS:
				return getExtensions();
			case MetadataPackage.JDO_FIELD__ARRAY:
				return getArray();
			case MetadataPackage.JDO_FIELD__COLLECTION:
				return getCollection();
			case MetadataPackage.JDO_FIELD__MAP:
				return getMap();
		}
		return eDynamicGet(eFeature, resolve);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void eSet(EStructuralFeature eFeature, Object newValue) {
		switch (eDerivedStructuralFeatureID(eFeature)) {
			case MetadataPackage.JDO_FIELD__EMPTY:
				setEmpty(((Boolean)newValue).booleanValue());
				return;
			case MetadataPackage.JDO_FIELD__NAME:
				setName((String)newValue);
				return;
			case MetadataPackage.JDO_FIELD__PRIMARY_KEY:
				setPrimaryKey(((Boolean)newValue).booleanValue());
				return;
			case MetadataPackage.JDO_FIELD__DEFAULT_FETCH_GROUP:
				setDefaultFetchGroup((JDOBoolean)newValue);
				return;
			case MetadataPackage.JDO_FIELD__EMBEDDED:
				setEmbedded((JDOBoolean)newValue);
				return;
			case MetadataPackage.JDO_FIELD__PERSISTENCE_MODIFIER:
				setPersistenceModifier((JDOPersistenceModifier)newValue);
				return;
			case MetadataPackage.JDO_FIELD__NULL_VALUE:
				setNullValue((JDONullValue)newValue);
				return;
			case MetadataPackage.JDO_FIELD__EXTENSIONS:
				getExtensions().clear();
				getExtensions().addAll((Collection)newValue);
				return;
			case MetadataPackage.JDO_FIELD__ARRAY:
				setArray((JDOArray)newValue);
				return;
			case MetadataPackage.JDO_FIELD__COLLECTION:
				setCollection((JDOCollection)newValue);
				return;
			case MetadataPackage.JDO_FIELD__MAP:
				setMap((JDOMap)newValue);
				return;
		}
		eDynamicSet(eFeature, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void eUnset(EStructuralFeature eFeature) {
		switch (eDerivedStructuralFeatureID(eFeature)) {
			case MetadataPackage.JDO_FIELD__EMPTY:
				setEmpty(EMPTY_EDEFAULT);
				return;
			case MetadataPackage.JDO_FIELD__NAME:
				setName(NAME_EDEFAULT);
				return;
			case MetadataPackage.JDO_FIELD__PRIMARY_KEY:
				setPrimaryKey(PRIMARY_KEY_EDEFAULT);
				return;
			case MetadataPackage.JDO_FIELD__DEFAULT_FETCH_GROUP:
				setDefaultFetchGroup(DEFAULT_FETCH_GROUP_EDEFAULT);
				return;
			case MetadataPackage.JDO_FIELD__EMBEDDED:
				setEmbedded(EMBEDDED_EDEFAULT);
				return;
			case MetadataPackage.JDO_FIELD__PERSISTENCE_MODIFIER:
				setPersistenceModifier(PERSISTENCE_MODIFIER_EDEFAULT);
				return;
			case MetadataPackage.JDO_FIELD__NULL_VALUE:
				setNullValue(NULL_VALUE_EDEFAULT);
				return;
			case MetadataPackage.JDO_FIELD__EXTENSIONS:
				getExtensions().clear();
				return;
			case MetadataPackage.JDO_FIELD__ARRAY:
				setArray((JDOArray)null);
				return;
			case MetadataPackage.JDO_FIELD__COLLECTION:
				setCollection((JDOCollection)null);
				return;
			case MetadataPackage.JDO_FIELD__MAP:
				setMap((JDOMap)null);
				return;
		}
		eDynamicUnset(eFeature);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean eIsSet(EStructuralFeature eFeature) {
		switch (eDerivedStructuralFeatureID(eFeature)) {
			case MetadataPackage.JDO_FIELD__EMPTY:
				return empty != EMPTY_EDEFAULT;
			case MetadataPackage.JDO_FIELD__NAME:
				return NAME_EDEFAULT == null ? name != null : !NAME_EDEFAULT.equals(name);
			case MetadataPackage.JDO_FIELD__PRIMARY_KEY:
				return primaryKey != PRIMARY_KEY_EDEFAULT;
			case MetadataPackage.JDO_FIELD__DEFAULT_FETCH_GROUP:
				return defaultFetchGroup != DEFAULT_FETCH_GROUP_EDEFAULT;
			case MetadataPackage.JDO_FIELD__EMBEDDED:
				return embedded != EMBEDDED_EDEFAULT;
			case MetadataPackage.JDO_FIELD__PERSISTENCE_MODIFIER:
				return persistenceModifier != PERSISTENCE_MODIFIER_EDEFAULT;
			case MetadataPackage.JDO_FIELD__NULL_VALUE:
				return nullValue != NULL_VALUE_EDEFAULT;
			case MetadataPackage.JDO_FIELD__EXTENSIONS:
				return extensions != null && !extensions.isEmpty();
			case MetadataPackage.JDO_FIELD__ARRAY:
				return array != null;
			case MetadataPackage.JDO_FIELD__COLLECTION:
				return collection != null;
			case MetadataPackage.JDO_FIELD__MAP:
				return map != null;
		}
		return eDynamicIsSet(eFeature);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (primaryKey: ");
		result.append(primaryKey);
		result.append(", defaultFetchGroup: ");
		result.append(defaultFetchGroup);
		result.append(", embedded: ");
		result.append(embedded);
		result.append(", persistenceModifier: ");
		result.append(persistenceModifier);
		result.append(", nullValue: ");
		result.append(nullValue);
		result.append(')');
		return result.toString();
	}

} //JDOFieldImpl
