package org.objectweb.eclipsespeedo.metadata.jdt.initializers;

import org.eclipse.jdt.core.IField;
import org.eclipse.jdt.core.IPackageFragment;
import org.eclipse.jdt.core.IType;
import org.objectweb.eclipsespeedo.metadata.initializers.InitializerRegistry;
import org.objectweb.eclipsespeedo.metadata.initializers.JDOInitializer;


public class Initializer implements JDOInitializer{

	/* (non-Javadoc)
	 * @see EclipseSpeedo.metadata.initializers.JDOInitializer#registerInitializers()
	 */
	public void registerInitializers()	{
		InitializerRegistry.registerClassInitializer(IType.class, new ClassInitializer());
		InitializerRegistry.registerFieldInitializer(IField.class, new FieldInitializer());
		InitializerRegistry.registerPackageInitializer(IPackageFragment.class, new PackageInitializer());
	}
}
