/*
 * Created on May 11, 2004
 * author: VEZIER Antoine
 * Internship Master: Hamon Catherine
 * 
 */
package org.objectweb.eclipsespeedo.project;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.QualifiedName;

/**
 * @author vezieran
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public class ProjectProperties {

	static public String getProjectProperty(IProject project, String s) throws CoreException {
		String ss = project.getPersistentProperty(new QualifiedName("", s));
		if (ss == null) ss = "";
		return ss;
	}
	
	static public String getSelDriverProperty(IProject project, String s) {
		String ss;
		try {
			ss = getProjectProperty(project, "Driver");
			String res = project.getPersistentProperty(new QualifiedName("", ss+"_"+s));
			if (res == null) res = "";
			return res;
		} catch (CoreException e) {
			e.printStackTrace();
			return null;
		}
	}

	static public void setProjectProperty(IProject project, String value, String s) throws CoreException {
		project.setPersistentProperty(new QualifiedName("", s), value);
	}
	
	static public void setProjectProperty(IProject project, Integer value, String s) throws CoreException {
		project.setPersistentProperty(new QualifiedName("", s), value.toString());
	}
}
