/*
 * Created on Apr 7, 2004
 * author: VEZIER Antoine
 * Internship Master: Hamon Catherine
 * 
 */
package org.objectweb.eclipsespeedo.utils;


import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Font;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

/**
 * @author vezieran
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public class UIGenHelper {

	public static void addEnTete(Composite parent, String mess){
		// En tte
		Label info = new Label(parent, SWT.NONE);
		info.setText(mess);
		info.setFont(new Font(parent.getDisplay(),info.getFont().getFontData()[0].getName(), 10, SWT.BOLD));
		addSeparator(parent);
	}


	/**
	 * Add a separator line
	 * @param parent
	 */
	public static void addSeparator(Composite parent) {
		try	{
			Label separator = new Label(parent, SWT.SEPARATOR | SWT.HORIZONTAL);
			GridData gridData = new GridData();
			gridData.horizontalAlignment = GridData.FILL;
			gridData.grabExcessHorizontalSpace = true;
			separator.setLayoutData(gridData);
		}
		catch (Exception e)	{
			e.printStackTrace();
		}
	}
	
	/**
	 * Method createDefaultComposite.
	 * @param parent
	 * @return Composite
	 */
	public static Composite createDefaultComposite(Composite parent, int columns,	boolean fill, int style) {
		Composite composite = new Composite(parent, style);
		GridLayout layout = new GridLayout();
		layout.numColumns = columns;
		layout.horizontalSpacing = 15;
		layout.verticalSpacing = 9;
		layout.marginHeight = 10;
		layout.marginWidth = 15;
		composite.setLayout(layout);

		GridData data =	(fill ? new GridData(GridData.FILL_BOTH) : new GridData());
		data.verticalAlignment = GridData.FILL;
		data.horizontalAlignment = GridData.FILL;
		composite.setLayoutData(data);

		return composite;
	}
}