package org.objectweb.eclipsespeedo.xml.resource;

import java.io.ByteArrayInputStream;

import org.eclipse.emf.ecore.xmi.impl.SAXWrapper;
import org.eclipse.emf.ecore.xmi.impl.XMLHandler;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;


public class DTDSAXWrapper extends SAXWrapper {
	/**
	 * @param handler
	 */
	public DTDSAXWrapper(XMLHandler handler) {
		super(handler);
	}

	public InputSource resolveEntity(String publicId, String systemId)
		throws SAXException {
		if (systemId.endsWith("jdo.dtd")) {
			return new InputSource(new ByteArrayInputStream(new byte[0]));
		}
		return null;
	}
}
