/*
 * Created on 29 oct. 2004
 */
package org.objectweb.speedo.pobjects.cap;

/**
 * @author mhoudu
 */
public class JDOAction {

    /** the action identifier */
    private int id;
    
    /** the action label */
    private String label;
     
    /** the action path */
    private String path;

    /**
     * Default constructor.
     * @param id The action identifier.
     * @param label The action label.
     * @param path The action path.
     */
    public JDOAction(
            int id,
            String label,
            String path)
    {
        this.id = id;
        this.label = label;
        this.path = path;
    }

    /**
     * Gets the id.
     * @return Returns the id.
     */
    public int getId()
    {
        return id;
    }
    
    /**
     * Sets the id.
     * @param id The id to set.
     */
    public void setId(int id)
    {
        this.id = id;
    }
    
    /**
     * Gets the label.
     * @return Returns the label.
     */
    public String getLabel()
    {
        return label;
    }
    
    /**
     * Sets the label.
     * @param label The label to set.
     */
    public void setLabel(String label)
    {
        this.label = label;
    }
    
    /**
     * Gets the path.
     * @return Returns the path.
     */
    public String getPath()
    {
        return path;
    }
    
    /**
     * Sets the path.
     * @param path The path to set.
     */
    public void setPath(String path)
    {
        this.path = path;
    }

}