/**
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.pobjects.relations;

import java.util.Collection;
import java.util.ArrayList;

/**
 *
 * @author S.Chassande-Barrioz
 */
public class D {

	private Long ident;

	private String name;

    private C c; // one one relation, reverse = d

    private Collection cs; // many many relation, reverse = ds

    private C nc; // one many relation, reverse = nds

    public D () {
    }

    public D (String name) {
        this.name = name;
        this.cs = new ArrayList();
    }

	public Long getIdent() {
		return ident;
	}

	public void setIdent(Long ident) {
		this.ident = ident;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public C getC() {
		return c;
	}

	public void setC(C c) {
		this.c = c;
	}

	public Collection getCs() {
		return cs;
	}

	public void setCs(Collection cs) {
		this.cs = cs;
	}

	public C getNc() {
		return nc;
	}

	public void setNc(C nc) {
		this.nc = nc;
	}
}
