
package org.objectweb.speedo.pobjects.tck;

public class StateTransitionObj {
    private int      int_field;
    private transient int nonmanaged_field;
    
    public StateTransitionObj()
    {
        int_field = 0;
    }
    public StateTransitionObj(int v)
    {
        int_field = v;
    }
    public int readField()
    { 
        int value = int_field;
        return value;
    } 
    public void writeField(int value)
    {
        int_field = value;
    }
    public int readNonmanagedField()
    {
        return nonmanaged_field;
    }
    public void writeNonmanagedField(int value)
    {
        nonmanaged_field = value;
    }
}
