/*
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 1.0
 * 
 * Created on 27 f�vr. 2004
 * @author fmillevi@yahoo.com
 *
 */
package org.objectweb.speedo.j2eedo.database;

/**
 * This class define the Java class to access to the employee's address entities
 * @author fmillevi@yahoo.com
 *
 */
	public class Address implements DatabaseObjectInterface {
		private String      street;
		private String      city;
		private String      state;
		private String      zipcode;
		
		public String getAsString() {
			StringBuffer sb = new StringBuffer();
			sb.append(street);
			sb.append(" ");
			sb.append(zipcode);
			sb.append(" ");
			sb.append(city);
			sb.append(" ");
			sb.append(state);
			return sb.toString();
		}
		/**
		 * @see org.objectweb.speedo.j2eedo.database.DatabaseObjectInterface#getId()
		 */
		public long getId() {
			return -1;
		}

		/**
		 * @return Returns the city.
		 */
		public String getCity() {
			return city;
		}

		/**
		 * @param city The city to set.
		 */
		public void setCity(String city) {
			this.city = city;
		}

		/**
		 * @return Returns the state.
		 */
		public String getState() {
			return state;
		}

		/**
		 * @param state The state to set.
		 */
		public void setState(String state) {
			this.state = state;
		}

		/**
		 * @return Returns the street.
		 */
		public String getStreet() {
			return street;
		}

		/**
		 * @param street The street to set.
		 */
		public void setStreet(String street) {
			this.street = street;
		}

		/**
		 * @return Returns the zipcode.
		 */
		public String getZipcode() {
			return zipcode;
		}

		/**
		 * @param zipcode The zipcode to set.
		 */
		public void setZipcode(String zipcode) {
			this.zipcode = zipcode;
		}


	}
